Subject: Re: [bug#51314] [PATCH 00/29] Add Octoprint (web UI for 3d printers).

From: Vinicius Monego <[email-masked]>
Date: Sun, 14 Nov 2021 14:07:04 +0000

Em dom, 2021-11-14 às 10:44 +0200, Efraim Flashner escreveu:
> On Sat, Nov 13, 2021 at 07:44:53PM +0000, Vinicius Monego wrote:
> > Em seg, 2021-11-08 às 22:38 +0200, Efraim Flashner escreveu:
> > > On Thu, Oct 21, 2021 at 03:51:00AM +0000, Vinicius Monego wrote:
> > > > This patchset adds the Octoprint web UI to control 3d printers.
> > > > 
> > > > Octoprint itself bundles font-awesome. I removed it in a
> > > > snippet,
> > > > don't know how much it would affect usability. I haven't found
> > > > other bundles with license issues.
> > > > 
> > > > Some of the updates have newer versions but I'm updating to
> > > > "older"
> > > > versions to maintain compatibility with octoprint. See the
> > > > comment
> > > > in the octoprint package.
> > > 
> > > Looking at some of the comments here¹ it looks like they're using
> > > old
> > > versions mostly to retain python2 compatibility. On the other
> > > hand
> > > they
> > > also have a comment about not having checked newer versions yet
> > > for
> > > for
> > > breaking changes, which IMO is their job. Other than flask-login
> > > and
> > > netaddr I don't see a reason to not try with some of the newer
> > > versions
> > > of the packages. I would feel better if they only marked their
> > > own
> > > dependencies and not transitive dependencies.
> > > 
> > > I think it makes sense to try newer versions and to add older
> > > versions
> > > on an as-needed basis, especially since some of these packages
> > > are
> > > likely to be upgraded again at some point before the next version
> > > of
> > > octoprint.
> > > 
> > > ¹ https://github.com/OctoPrint/OctoPrint/blob/1.7.0/setup.py#L17
> > > 
> > 
> > This is my report for the updates:
> > 
> > I updated python-colorlog, python-zeroconf, python-watchdog and
> > python-
> > wrapt to latest versions.
> > 
> > The update on python-zeroconf will likely break pulseaudio-dlna
> > which
> > depends on python2-zeroconf. Upstream also abandoned the project
> > and it
> > now lives in a fork that can be found here¹. Packaging the fork
> > will
> > require packaging python-pyroute2 which seems to lead to another
> > chain
> > of new packages.
> > 
> > Updating Flask to version 2.0 will require updates on python-
> > itsdangerous, python-werkzeug and python-jinja2, which would have
> > to
> > rebuild 600+ packages.
> 
> That's a pretty good reason to leave flask at 1.x. When we do add 2.x
> we
> might also end up keeping a python-flask-1 for a while during a
> transition.
> 
> > I tried to update python-websockets-client to latest version but
> > the
> > tests hung and I couldn't figure out why.
> > 
> > I'll send a v2 soon.
> > 
> > ¹ https://github.com/Cygn/pulseaudio-dlna/
> 
> My concern was more about if the newer versions of the python
> packages
> would work with octoprint.
> 

I don't have a printer to test but the unit tests are still passing and
the server log messages didn't accuse anything different. The only
update that may cause a problem is python-zeroconf, but I don't know
how to test that one.